# Uses of Interface
org.eclipse.gef.EditPartViewer

Packages that use EditPartViewer
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.dnd
org.eclipse.gef.editparts
This package contains abstract implementation of the EditPart interface.
org.eclipse.gef.tools
This package provides several tool implementations.
org.eclipse.gef.ui.actions
This package support for using JFace Actions in your EditorPart.
org.eclipse.gef.ui.palette
org.eclipse.gef.ui.parts
org.eclipse.gef.util

## Uses of EditPartViewer in org.eclipse.gef

Subinterfaces of EditPartViewer in org.eclipse.gef
Modifier and Type
Interface
Description
`interface`
`GraphicalViewer`
Specializes `EditPartViewer` adding the ability to hit-test `Handles`.
Methods in org.eclipse.gef that return EditPartViewer
Modifier and Type
Method
Description
`protected EditPartViewer`
ContextMenuProvider.`getViewer()`
Returns the EditPartViewer
`EditPartViewer`
EditPart.`getViewer()`
Convenience method for returning the `EditPartViewer` for this part.
`EditPartViewer`
RootEditPart.`getViewer()`
Returns the root's EditPartViewer.
`protected EditPartViewer`
SelectionManager.`getViewer()`
Returns `null` or the viewer whose selection is managed.
Methods in org.eclipse.gef with parameters of type EditPartViewer
Modifier and Type
Method
Description
`void`
EditDomain.`addViewer(EditPartViewer viewer)`
Adds an EditPartViewer into the EditDomain.
`void`
EditDomain.`focusGained(FocusEvent event, EditPartViewer viewer)`
Called when one of the EditDomain's Viewers receives keyboard focus.
`void`
Tool.`focusGained(FocusEvent event, EditPartViewer viewer)`
Called when a Viewer's Control gains keyboard focus.
`void`
EditDomain.`focusLost(FocusEvent event, EditPartViewer viewer)`
Called when one of the EditDomain's Viewers is losing keyboard focus.
`void`
Tool.`focusLost(FocusEvent event, EditPartViewer viewer)`
Called when a Viewer's Control loses keyboard focus.
`void`
MouseWheelHandler.`handleMouseWheel(Event event, EditPartViewer viewer)`
Handles mouse-wheel events.
`void`
MouseWheelZoomHandler.`handleMouseWheel(Event event, EditPartViewer viewer)`
Zooms the given viewer.
`protected void`
SelectionManager.`hookViewer(EditPartViewer viewer)`
Provides a hook for when the viewer has been set.
`void`
SelectionManager.`internalInitialize(EditPartViewer viewer, List<EditPart> selection, Runnable notifier)`
For internal use only.
`void`
EditDomain.`keyDown(KeyEvent keyEvent, EditPartViewer viewer)`
Called when a key is pressed on a Viewer.
`void`
Tool.`keyDown(KeyEvent keyEvent, EditPartViewer viewer)`
Called when a Viewer receives a key press.
`void`
EditDomain.`keyTraversed(TraverseEvent traverseEvent, EditPartViewer viewer)`
Called when a traversal occurs on a viewer.
`void`
Tool.`keyTraversed(TraverseEvent event, EditPartViewer viewer)`
Called when a viewer receives a key traversal.
`void`
EditDomain.`keyUp(KeyEvent keyEvent, EditPartViewer viewer)`
Called when a key is released on a Viewer.
`void`
Tool.`keyUp(KeyEvent keyEvent, EditPartViewer viewer)`
Called when a Viewer receives a key up.
`void`
EditDomain.`mouseDoubleClick(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when the mouse button has been double-clicked on a Viewer.
`void`
Tool.`mouseDoubleClick(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when a Viewer receives a double-click.
`void`
EditDomain.`mouseDown(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when the mouse button has been pressed on a Viewer.
`void`
Tool.`mouseDown(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when a Viewer receives a mouse down.
`void`
EditDomain.`mouseDrag(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when the mouse has been dragged within a Viewer.
`void`
Tool.`mouseDrag(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when a Viewer receives a mouse drag.
`void`
EditDomain.`mouseHover(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when the mouse has hovered on a Viewer.
`void`
Tool.`mouseHover(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when a Viewer receives a mouse hover.
`void`
EditDomain.`mouseMove(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when the mouse has been moved on a Viewer.
`void`
Tool.`mouseMove(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when a Viewer receives a mouse move.
`void`
EditDomain.`mouseUp(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when the mouse button has been released on a Viewer.
`void`
Tool.`mouseUp(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when a Viewer receives a mouse up.
`void`
EditDomain.`mouseWheelScrolled(Event event, EditPartViewer viewer)`
Called by the DomainEventDispatcher when the mouse wheel has been scrolled.
`void`
Tool.`mouseWheelScrolled(Event event, EditPartViewer viewer)`
Called when the mouse wheel has been scrolled.
`void`
EditDomain.`nativeDragFinished(DragSourceEvent event, EditPartViewer viewer)`
Called when a native drag has finished on a Viewer.
`void`
Tool.`nativeDragFinished(DragSourceEvent event, EditPartViewer viewer)`
Called when a native drag ends on a Viewer.
`void`
EditDomain.`nativeDragStarted(DragSourceEvent event, EditPartViewer viewer)`
Called when a native drag has started on a Viewer.
`void`
Tool.`nativeDragStarted(DragSourceEvent event, EditPartViewer viewer)`
Called when a native drag begins on a Viewer.
`void`
EditDomain.`removeViewer(EditPartViewer viewer)`
Removes a previously added viewer from the EditDomain.
`protected void`
ContextMenuProvider.`setViewer(EditPartViewer viewer)`
Sets the editpart viewer.
`void`
RootEditPart.`setViewer(EditPartViewer viewer)`
Sets the root's EditPartViewer.
`void`
Tool.`setViewer(EditPartViewer viewer)`
Called to set the current Viewer receiving events.
`void`
EditDomain.`viewerEntered(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when the mouse enters a Viewer.
`void`
Tool.`viewerEntered(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when a Viewer receives a mouse enter.
`void`
EditDomain.`viewerExited(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when the mouse exits a Viewer.
`void`
Tool.`viewerExited(MouseEvent mouseEvent, EditPartViewer viewer)`
Called when a Viewer receives a mouse exit.
Constructors in org.eclipse.gef with parameters of type EditPartViewer
Modifier
Constructor
Description
``
`ContextMenuProvider(EditPartViewer viewer)`
Constructs a context menu for the specified EditPartViewer.

## Uses of EditPartViewer in org.eclipse.gef.dnd

Methods in org.eclipse.gef.dnd that return EditPartViewer
Modifier and Type
Method
Description
`protected EditPartViewer`
AbstractTransferDragSourceListener.`getViewer()`
Returns the `EditPartViewer`.
`protected EditPartViewer`
AbstractTransferDropTargetListener.`getViewer()`
Returns the `EditPartViewer` that is the target of the drop.
Methods in org.eclipse.gef.dnd with parameters of type EditPartViewer
Modifier and Type
Method
Description
`protected void`
AbstractTransferDragSourceListener.`setViewer(EditPartViewer viewer)`
Sets the EditPartViewer for this listener.
`protected void`
AbstractTransferDropTargetListener.`setViewer(EditPartViewer viewer)`
Sets the EditPartViewer.
Constructors in org.eclipse.gef.dnd with parameters of type EditPartViewer
Modifier
Constructor
Description
``
`AbstractTransferDragSourceListener(EditPartViewer viewer)`
Constructs an AbstractTransferDragSourceListener for the given EditPartViewer.
``
`AbstractTransferDragSourceListener(EditPartViewer viewer, Transfer xfer)`
Constructs an AbstractTransferDragSourceListener with the specified EditPartViewer and Transfer.
``
`AbstractTransferDropTargetListener(EditPartViewer viewer)`
Constructs a new AbstractTransferDropTargetListener and sets the EditPartViewer.
``
`AbstractTransferDropTargetListener(EditPartViewer viewer, Transfer xfer)`
Constructs a new AbstractTransferDropTargetListener and sets the EditPartViewer and Transfer.
``
`TemplateTransferDragSourceListener(EditPartViewer viewer)`
Constructs a new listener for the specified EditPartViewer.
``
`TemplateTransferDragSourceListener(EditPartViewer viewer, Transfer xfer)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use the constructor without the transfer specified.
``
`TemplateTransferDropTargetListener(EditPartViewer viewer)`
Constructs a listener on the specified viewer.

## Uses of EditPartViewer in org.eclipse.gef.editparts

Fields in org.eclipse.gef.editparts declared as EditPartViewer
Modifier and Type
Field
Description
`protected EditPartViewer`
GraphicalRootEditPart.`viewer`
Deprecated.
Methods in org.eclipse.gef.editparts that return EditPartViewer
Modifier and Type
Method
Description
`EditPartViewer`
AbstractEditPart.`getViewer()`
`EditPartViewer`
GraphicalRootEditPart.`getViewer()`
Deprecated.
`EditPartViewer`
RootTreeEditPart.`getViewer()`
`EditPartViewer`
SimpleRootEditPart.`getViewer()`
Methods in org.eclipse.gef.editparts with parameters of type EditPartViewer
Modifier and Type
Method
Description
`static LayerManager`
LayerManager.Helper.`find(EditPartViewer viewer)`
Finds the LayerManager given a Viewer.
`void`
GraphicalRootEditPart.`setViewer(EditPartViewer newViewer)`
Deprecated.
`void`
RootTreeEditPart.`setViewer(EditPartViewer epviewer)`
`void`
SimpleRootEditPart.`setViewer(EditPartViewer newViewer)`

## Uses of EditPartViewer in org.eclipse.gef.tools

Methods in org.eclipse.gef.tools that return EditPartViewer
Modifier and Type
Method
Description
`protected EditPartViewer`
AbstractTool.`getCurrentViewer()`
Return the viewer that the tool is currently receiving input from, or `null`.
Methods in org.eclipse.gef.tools with parameters of type EditPartViewer
Modifier and Type
Method
Description
`void`
AbstractTool.`focusGained(FocusEvent event, EditPartViewer viewer)`
Called when a viewer that the editor controls gains focus.
`void`
AbstractTool.`focusLost(FocusEvent event, EditPartViewer viewer)`
Called when a viewer that the editor controls loses focus.
`static List<? extends EditPart>`
ToolUtilities.`getSelectionWithoutDependants(EditPartViewer viewer)`
Returns a list containing the top level selected edit parts based on the viewer's selection.
`protected boolean`
AbstractTool.`isViewerImportant(EditPartViewer viewer)`
Default implementation always returns `true`.
`protected boolean`
MarqueeSelectionTool.`isViewerImportant(EditPartViewer viewer)`
MarqueeSelectionTool is only interested in GraphicalViewers, not TreeViewers.
`void`
AbstractTool.`keyDown(KeyEvent evt, EditPartViewer viewer)`
Receives a KeyDown event for the given viewer.
`void`
SelectionTool.`keyDown(KeyEvent evt, EditPartViewer viewer)`
Forwards the key down event to the drag tracker, if one exists.
`void`
AbstractTool.`keyTraversed(TraverseEvent event, EditPartViewer viewer)`
Receives a traversal event for the given viewer.
`void`
AbstractTool.`keyUp(KeyEvent evt, EditPartViewer viewer)`
Receives a KeyUp event for the given viewer.
`void`
SelectionTool.`keyUp(KeyEvent evt, EditPartViewer viewer)`
Forwards the key up event to the drag tracker, if one exists.
`void`
AbstractTool.`mouseDoubleClick(MouseEvent me, EditPartViewer viewer)`
Handles mouse double click events within a viewer.
`void`
SelectionTool.`mouseDoubleClick(MouseEvent e, EditPartViewer viewer)`
Forwards the mouse double clicked event to the drag tracker, if one exists.
`void`
AbstractTool.`mouseDown(MouseEvent me, EditPartViewer viewer)`
Handles mouse down events within a viewer.
`void`
SelectionTool.`mouseDown(MouseEvent e, EditPartViewer viewer)`
Forwards the mouse down event to the drag tracker, if one exists.
`void`
AbstractTool.`mouseDrag(MouseEvent me, EditPartViewer viewer)`
Handles mouse drag events within a viewer.
`void`
SelectionTool.`mouseDrag(MouseEvent e, EditPartViewer viewer)`
Forwards the mouse drag event to the drag tracker, if one exists.
`void`
AbstractTool.`mouseHover(MouseEvent me, EditPartViewer viewer)`
Handles mouse hover event. within a viewer.
`void`
SelectionTool.`mouseHover(MouseEvent me, EditPartViewer viewer)`
Forwards the mouse hover event to the drag tracker, if one exists.
`void`
AbstractTool.`mouseMove(MouseEvent me, EditPartViewer viewer)`
Handles mouse moves (if the mouse button is up) within a viewer.
`void`
SelectionTool.`mouseMove(MouseEvent me, EditPartViewer viewer)`
Forwards the mouse move event to the drag tracker, if one exists.
`void`
AbstractTool.`mouseUp(MouseEvent me, EditPartViewer viewer)`
Handles mouse up within a viewer.
`void`
SelectionTool.`mouseUp(MouseEvent e, EditPartViewer viewer)`
Forwards the mouse up event to the drag tracker, if one exists.
`void`
AbstractTool.`mouseWheelScrolled(Event event, EditPartViewer viewer)`
Handles mouse-wheel scrolling for a viewer.
`void`
ConnectionCreationTool.`mouseWheelScrolled(Event event, EditPartViewer viewer)`
Scrolling can happen either in the `initial` state or once the source of the connection has been `identified`.
`void`
SelectionTool.`mouseWheelScrolled(Event event, EditPartViewer viewer)`
Delegates the scrolling to the DragTracker (if there is one).
`void`
AbstractTool.`nativeDragFinished(DragSourceEvent event, EditPartViewer viewer)`
`void`
AbstractTool.`nativeDragStarted(DragSourceEvent event, EditPartViewer viewer)`
`protected void`
AbstractTool.`performViewerMouseWheel(Event event, EditPartViewer viewer)`
Delegates mouse-wheel event handling to registered `MouseWheelHandlers` based on the given Event's statemask.
`void`
AbstractTool.`setViewer(EditPartViewer viewer)`
Sets the active EditPartViewer.
`void`
MarqueeSelectionTool.`setViewer(EditPartViewer viewer)`
`void`
AbstractTool.`viewerEntered(MouseEvent me, EditPartViewer viewer)`
Receives the mouse entered event.
`void`
AbstractTool.`viewerExited(MouseEvent me, EditPartViewer viewer)`
Handles the mouse exited event.

## Uses of EditPartViewer in org.eclipse.gef.ui.actions

Constructors in org.eclipse.gef.ui.actions with parameters of type EditPartViewer
Modifier
Constructor
Description
``
`CreateGuideAction(EditPartViewer ruler)`
Constructor

## Uses of EditPartViewer in org.eclipse.gef.ui.palette

Classes in org.eclipse.gef.ui.palette that implement EditPartViewer
Modifier and Type
Class
Description
`class`
`PaletteViewer`
Graphical viewer for the GEF palette.

## Uses of EditPartViewer in org.eclipse.gef.ui.parts

Classes in org.eclipse.gef.ui.parts that implement EditPartViewer
Modifier and Type
Class
Description
`class`
`AbstractEditPartViewer`
The base implementation for EditPartViewer.
`class`
`GraphicalViewerImpl`
An EditPartViewer implementation based on `Figures`.
`class`
`ScrollingGraphicalViewer`
A Graphical Viewer implementation which uses a `FigureCanvas` for native scrolling.
`class`
`TreeViewer`
An EditPartViewer implementation based on a `Tree`.
Fields in org.eclipse.gef.ui.parts declared as EditPartViewer
Modifier and Type
Field
Description
`protected EditPartViewer`
DomainEventDispatcher.`viewer`
The viewer on which this dispatcher is created.
Methods in org.eclipse.gef.ui.parts that return EditPartViewer
Modifier and Type
Method
Description
`protected EditPartViewer`
ContentOutlinePage.`getViewer()`
Returns the EditPartViewer
`protected final EditPartViewer`
DomainEventDispatcher.`getViewer()`
Returns the viewer on which this dispatcher was created
Methods in org.eclipse.gef.ui.parts with parameters of type EditPartViewer
Modifier and Type
Method
Description
`void`
SelectionSynchronizer.`addViewer(EditPartViewer viewer)`
Adds a viewer to the set of synchronized viewers
`protected void`
SelectionSynchronizer.`applySelection(EditPartViewer viewer, ISelection selection)`
Applies the given EditPart selection from another viewer to the given viewer.
`protected EditPart`
SelectionSynchronizer.`convert(EditPartViewer viewer, EditPart part)`
Maps the given editpart from one viewer to an editpart in another viewer.
`void`
SelectionSynchronizer.`removeViewer(EditPartViewer viewer)`
Removes the viewer from the set of synchronized viewers
`protected void`
SelectionSynchronizer.`syncSelection(EditPartViewer selectionSource, ISelection selection)`
Synchronizes the given selection to all registered viewers except the one serving as selectionSource, by delegating to `SelectionSynchronizer.applySelection(EditPartViewer, ISelection)`.
Constructors in org.eclipse.gef.ui.parts with parameters of type EditPartViewer
Modifier
Constructor
Description
``
`ContentOutlinePage(EditPartViewer viewer)`
Constructs a ContentOutlinePage for the given viewer.
``
`DomainEventDispatcher(EditDomain d, EditPartViewer v)`
Constructs the dispatcher for the given domain and viewer.

## Uses of EditPartViewer in org.eclipse.gef.util

Methods in org.eclipse.gef.util with parameters of type EditPartViewer
Modifier and Type
Method
Description
`org.eclipse.draw2d.ToolTipHelper`
IToolTipHelperFactory.`create(Control control, EditPartViewer viewer)`
Creates and returns a new `ToolTipHelper` instance.